Subject: [rbridge] Time to summarize "forward or block" BPDU thread

From: michsmit at cisco.com (Michael Smith (michsmit))
Date: Mon, 17 Oct 2005 11:24:32 -0700

> -----Original Message-----
> From: rbridge-bounces at postel.org 
> Subject: Re: [rbridge] Time to summarize "forward or block" 
> BPDU thread
> 
> > > b) there are scary dependencies between bridge spanning tree and 
> > > RBridges algorithms
> > 
> >   Yeah no kidding. 
> > 
> > > c) no advantage as far as I can see. I don't know why we are 
> > > discussing this.
> > 
> >   Well there are still a few folks on this list that are 
> not convinced 
> > of a) or b). There are probably 100 more on the list that are just 
> > quietly listening that also don't understand.
> > We are very likely to encounter these opinions over and 
> over again and 
> > the best approach is to discuss and counter them and capture it for 
> > future reference. Otherwise we are going to see these same 
> arguments 
> > over and over again and used as 'reasons' why Rbridge is 
> 'not as good 
> > as X or Y'.
> > 
> 
> My 2cents: if Rbridges scope is indeed a campus, then Radia's 
> claims hold...there is no advantage in having Rbridges 
> meddling with legacy stuff.

While rbridges may not have to "meddle with legacy stuff", at a minimum,
we should list the all of the 802.1 and 802.3 protocols and indicate the
applicable action(s).  (Similar to that done for the UNI in the Metro
Ethernet Forum (MEF) and ITU 8011 series specifications.)  For example,
blocking BPDUs is valid but simply blocking GVRP will cause connectivity
issues.

Michael

> Now, if Rbridges is intended to 
> be applied to other fields, e.g., MAN scope, then yes, legacy 
> is an issue.
> 
> I do not see the second case happening particularly because 
> there are other issues (besides the legacy interworking) that 
> would require additional work in Rbridges. So I quite frankly 
> do not see the point in prolonging this discussion either. 
> 
> So,
> _______________________________________________
> rbridge mailing list
> rbridge at postel.org
> http://www.postel.org/mailman/listinfo/rbridge
>